Create new items for this location.
Body·
required
Cancellation token to cancel the operation.
- Type: null | stringFormat: date-timebusiness
Date - Type: null | stringchangeset
Name - Type: booleanis
Immediate Publish - Properties: 56Type:items
Responses
- application/json
Request Example for post/v1/items
curl https://apiint.api.parpos.com/settings/v1/items \
--request POST \
--header 'Content-Type: application/json' \
--header 'parpos-access-token: YOUR_SECRET_TOKEN' \
--header 'parpos-location-token: YOUR_SECRET_TOKEN' \
--data '{
"Items": [
{
"AllowAutoCombo": true,
"AlternateKitchenName": "Kitchen1",
"AskName": false,
"AskPrice": true,
"AvailableEndDate": "2026-06-06T06:24:53.8896776+00:00",
"AvailableSelectDates": true,
"AvailableSelectDays": false,
"AvailableStartDate": "2026-05-07T06:24:53.889679+00:00",
"BlinkInKitchen": true,
"BrandAllocations": [
{
"BrandId": 101,
"Weight": 0.5,
"Id": 1
}
],
"ClearsAllOtherModifiers": false,
"Components": [
{
"ItemGroupId": 1,
"Items": [
{
"IsDefault": true,
"ItemId": 1,
"OverridePrice": false,
"Price": 10,
"Id": 1
}
],
"Name": "Component1",
"OverridePrice": false,
"Price": 20,
"RollupPrice": true,
"Id": 1
}
],
"Cost": 15,
"CustomFields": [
{
"FieldName": "Field1",
"Value": "Value1",
"Id": 1
}
],
"DaysAvailable": 7,
"DiscountId": 1,
"FreeModifierSubstitutionLimit": 2,
"GiftCardItemType": 0,
"Ingredients": [
{
"ItemId": 1,
"Position": 1,
"Id": 1
}
],
"IsActive": true,
"IsExceptionMod": false,
"IsQuantityCounted": true,
"KitchenBackgroundColor": {
"A": 255,
"B": 0,
"G": 0,
"R": 255
},
"KitchenColor": {
"A": 255,
"B": 0,
"G": 255,
"R": 0
},
"IncludedModifiers": [
{
"AutomaticallyAdd": true,
"IsIncluded": true,
"ItemId": 1,
"ModifierGroupId": 1,
"Position": 1,
"PrintInKitchen": true,
"Id": 0
}
],
"ItemGroups": [
1,
2,
3
],
"ModifierCodesPricing": [
{
"ModifierCodeId": 1,
"Price": 1,
"Id": 1
}
],
"ModifierGroups": [
{
"ModifierGroupId": 1,
"Position": 1,
"Id": 1
}
],
"ModifierRouting": 0,
"ModifierTierId": 1,
"ModifierWeight": 1,
"ModifyPanels": [
{
"PanelId": 1,
"ScreenId": 1,
"Id": 1
}
],
"NonRevenueItem": false,
"Plu": "PLU1",
"PrepaidItemType": 0,
"Price": 25,
"PriceLevelId": 1,
"PricePer": 0,
"PrinterGroupId": 1,
"RevenueCenterId": 1,
"RestrictComboBreak": false,
"SelectionPanels": [
{
"PanelId": 1,
"ScreenId": 1,
"Id": 1
}
],
"Skus": [
"SKU1",
"SKU2"
],
"SortPriority": 1,
"TareId": 1,
"Taxes": [
1,
2
],
"Type": 0,
"UnitName": "Unit1",
"UnitPrecision": 2,
"VideoGroupId": 1,
"SimpleComboPricing": false,
"Name": "SaveItem",
"Id": -1
}
],
"BusinessDate": "2026-05-07T06:24:53.8896742+00:00",
"IsImmediatePublish": false,
"ChangesetName": "SaveItems"
}'
Success
{
"Data": [
{
"Id": -1,
"OriginalId": 676652373
}
]
}